Overview | Package | Class | Tree | Deprecated | Index | Help
| Protege 3.5 alpha
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.stanford.smi.protege.storage.clips
Interface ParserConstants

All Known Implementing Classes:
  Parser, ParserTokenManager

    public interface ParserConstants

Token literal values and constants. Generated by org.javacc.parser.OtherFilesGen#start()

Field Summary
`static int` | `ABSTRACT` RegularExpression Id.
`static int` | `ACCESS` RegularExpression Id.
`static int` | `ALLOWED_CLASSES` RegularExpression Id.
`static int` | `ALLOWED_FLOATS` RegularExpression Id.
`static int` | `ALLOWED_GRAMMAR` RegularExpression Id.
`static int` | `ALLOWED_INTEGERS` RegularExpression Id.
`static int` | `ALLOWED_PARENTS` RegularExpression Id.
`static int` | `ALLOWED_STRINGS` RegularExpression Id.
`static int` | `ALLOWED_SYMBOLS` RegularExpression Id.
`static int` | `ALLOWED_VALUES` RegularExpression Id.
`static int` | `ANY` RegularExpression Id.
`static int` | `ASSOCIATED_FACET` RegularExpression Id.
`static int` | `BLANK_COMMENT` RegularExpression Id.
`static int` | `BRA` RegularExpression Id.
`static int` | `BUILD` RegularExpression Id.
`static int` | `CARDINALITY` RegularExpression Id.
`static int` | `COMMENT` RegularExpression Id.
`static int` | `COMMENT_LINE` RegularExpression Id.
`static int` | `COMPOSITE` RegularExpression Id.
`static int` | `CONCRETE` RegularExpression Id.
`static int` | `CREATE_ACCESSOR` RegularExpression Id.
`static int` | `DEFAULT` Lexical state.
`static int` | `DEFAULT_` RegularExpression Id.
`static int` | `DEFCLASS` RegularExpression Id.
`static int` | `EOF` End of File.
`static int` | `EOL` RegularExpression Id.
`static int` | `EXCLUSIVE` RegularExpression Id.
`static int` | `EXTENSION` RegularExpression Id.
`static int` | `FLOAT` RegularExpression Id.
`static int` | `INCLUDE` RegularExpression Id.
`static int` | `INHERIT` RegularExpression Id.
`static int` | `INITIALIZER_ONLY` RegularExpression Id.
`static int` | `INSTANCE` RegularExpression Id.
`static int` | `INSTANCE_NAME_LITERAL` RegularExpression Id.
`static int` | `INTEGER` RegularExpression Id.
`static int` | `INVERSE_SLOT` RegularExpression Id.
`static int` | `IS_A` RegularExpression Id.
`static int` | `KET` RegularExpression Id.
`static int` | `LOCAL` RegularExpression Id.
`static int` | `LPAREN` RegularExpression Id.
`static int` | `MULTISLOT` RegularExpression Id.
`static int` | `NO_INHERIT` RegularExpression Id.
`static int` | `NON_REACTIVE` RegularExpression Id.
`static int` | `NOTE` RegularExpression Id.
`static int` | `OF` RegularExpression Id.
`static int` | `OVERRIDE_MESSAGE` RegularExpression Id.
`static int` | `PATTERN_MATCH` RegularExpression Id.
`static int` | `PRIVATE` RegularExpression Id.
`static int` | `PROPAGATION` RegularExpression Id.
`static int` | `PUBLIC` RegularExpression Id.
`static int` | `QUESTION_DEFAULT` RegularExpression Id.
`static int` | `QUESTION_NONE` RegularExpression Id.
`static int` | `RANGE` RegularExpression Id.
`static int` | `REACTIVE` RegularExpression Id.
`static int` | `READ` RegularExpression Id.
`static int` | `READ_ONLY` RegularExpression Id.
`static int` | `READ_WRITE` RegularExpression Id.
`static int` | `ROLE` RegularExpression Id.
`static int` | `RPAREN` RegularExpression Id.
`static int` | `SHARED` RegularExpression Id.
`static int` | `SINGLE_SLOT` RegularExpression Id.
`static int` | `SLOT` RegularExpression Id.
`static int` | `SOURCE` RegularExpression Id.
`static int` | `STORAGE` RegularExpression Id.
`static int` | `STRING` RegularExpression Id.
`static int` | `STRING_LITERAL` RegularExpression Id.
`static int` | `SUBSLOT_OF` RegularExpression Id.
`static int` | `SYMBOL` RegularExpression Id.
`static int` | `SYMBOL_CHAR_MIDDLE` RegularExpression Id.
`static int` | `SYMBOL_CHAR_START` RegularExpression Id.
`static int` | `SYMBOL_LITERAL` RegularExpression Id.
`static int` | `TEXT_COMMENT` RegularExpression Id.
`static String[]` | `tokenImage` Literal token values.
`static int` | `TYPE` RegularExpression Id.
`static int` | `USER_FACET` RegularExpression Id.
`static int` | `VALUE` RegularExpression Id.
`static int` | `VERSION` RegularExpression Id.
`static int` | `VISIBILITY` RegularExpression Id.
`static int` | `WRITE` RegularExpression Id.

Field Detail

### EOF

    static final int EOF

  End of File.

  See Also:
    Constant Field Values

### COMMENT_LINE

    static final int COMMENT_LINE

  RegularExpression Id.

  See Also:
    Constant Field Values

### EOL

    static final int EOL

  RegularExpression Id.

  See Also:
    Constant Field Values

### BLANK_COMMENT

    static final int BLANK_COMMENT

  RegularExpression Id.

  See Also:
    Constant Field Values

### TEXT_COMMENT

    static final int TEXT_COMMENT

  RegularExpression Id.

  See Also:
    Constant Field Values

### QUESTION_NONE

    static final int QUESTION_NONE

  RegularExpression Id.

  See Also:
    Constant Field Values

### QUESTION_DEFAULT

    static final int QUESTION_DEFAULT

  RegularExpression Id.

  See Also:
    Constant Field Values

### LPAREN

    static final int LPAREN

  RegularExpression Id.

  See Also:
    Constant Field Values

### RPAREN

    static final int RPAREN

  RegularExpression Id.

  See Also:
    Constant Field Values

### BRA

    static final int BRA

  RegularExpression Id.

  See Also:
    Constant Field Values

### KET

    static final int KET

  RegularExpression Id.

  See Also:
    Constant Field Values

### EXTENSION

    static final int EXTENSION

  RegularExpression Id.

  See Also:
    Constant Field Values

### ABSTRACT

    static final int ABSTRACT

  RegularExpression Id.

  See Also:
    Constant Field Values

### ACCESS

    static final int ACCESS

  RegularExpression Id.

  See Also:
    Constant Field Values

### ALLOWED_CLASSES

    static final int ALLOWED_CLASSES

  RegularExpression Id.

  See Also:
    Constant Field Values

### ALLOWED_FLOATS

    static final int ALLOWED_FLOATS

  RegularExpression Id.

  See Also:
    Constant Field Values

### ALLOWED_GRAMMAR

    static final int ALLOWED_GRAMMAR

  RegularExpression Id.

  See Also:
    Constant Field Values

### ALLOWED_INTEGERS

    static final int ALLOWED_INTEGERS

  RegularExpression Id.

  See Also:
    Constant Field Values

### ALLOWED_PARENTS

    static final int ALLOWED_PARENTS

  RegularExpression Id.

  See Also:
    Constant Field Values

### ALLOWED_STRINGS

    static final int ALLOWED_STRINGS

  RegularExpression Id.

  See Also:
    Constant Field Values

### ALLOWED_SYMBOLS

    static final int ALLOWED_SYMBOLS

  RegularExpression Id.

  See Also:
    Constant Field Values

### ALLOWED_VALUES

    static final int ALLOWED_VALUES

  RegularExpression Id.

  See Also:
    Constant Field Values

### ANY

    static final int ANY

  RegularExpression Id.

  See Also:
    Constant Field Values

### ASSOCIATED_FACET

    static final int ASSOCIATED_FACET

  RegularExpression Id.

  See Also:
    Constant Field Values

### BUILD

    static final int BUILD

  RegularExpression Id.

  See Also:
    Constant Field Values

### CARDINALITY

    static final int CARDINALITY

  RegularExpression Id.

  See Also:
    Constant Field Values

### COMMENT

    static final int COMMENT

  RegularExpression Id.

  See Also:
    Constant Field Values

### COMPOSITE

    static final int COMPOSITE

  RegularExpression Id.

  See Also:
    Constant Field Values

### CONCRETE

    static final int CONCRETE

  RegularExpression Id.

  See Also:
    Constant Field Values

### CREATE_ACCESSOR

    static final int CREATE_ACCESSOR

  RegularExpression Id.

  See Also:
    Constant Field Values

### DEFAULT_

    static final int DEFAULT_

  RegularExpression Id.

  See Also:
    Constant Field Values

### DEFCLASS

    static final int DEFCLASS

  RegularExpression Id.

  See Also:
    Constant Field Values

### EXCLUSIVE

    static final int EXCLUSIVE

  RegularExpression Id.

  See Also:
    Constant Field Values

### FLOAT

    static final int FLOAT

  RegularExpression Id.

  See Also:
    Constant Field Values

### INCLUDE

    static final int INCLUDE

  RegularExpression Id.

  See Also:
    Constant Field Values

### INHERIT

    static final int INHERIT

  RegularExpression Id.

  See Also:
    Constant Field Values

### INITIALIZER_ONLY

    static final int INITIALIZER_ONLY

  RegularExpression Id.

  See Also:
    Constant Field Values

### INSTANCE

    static final int INSTANCE

  RegularExpression Id.

  See Also:
    Constant Field Values

### INTEGER

    static final int INTEGER

  RegularExpression Id.

  See Also:
    Constant Field Values

### INVERSE_SLOT

    static final int INVERSE_SLOT

  RegularExpression Id.

  See Also:
    Constant Field Values

### IS_A

    static final int IS_A

  RegularExpression Id.

  See Also:
    Constant Field Values

### LOCAL

    static final int LOCAL

  RegularExpression Id.

  See Also:
    Constant Field Values

### MULTISLOT

    static final int MULTISLOT

  RegularExpression Id.

  See Also:
    Constant Field Values

### NO_INHERIT

    static final int NO_INHERIT

  RegularExpression Id.

  See Also:
    Constant Field Values

### NON_REACTIVE

    static final int NON_REACTIVE

  RegularExpression Id.

  See Also:
    Constant Field Values

### NOTE

    static final int NOTE

  RegularExpression Id.

  See Also:
    Constant Field Values

### OF

    static final int OF

  RegularExpression Id.

  See Also:
    Constant Field Values

### OVERRIDE_MESSAGE

    static final int OVERRIDE_MESSAGE

  RegularExpression Id.

  See Also:
    Constant Field Values

### PATTERN_MATCH

    static final int PATTERN_MATCH

  RegularExpression Id.

  See Also:
    Constant Field Values

### PRIVATE

    static final int PRIVATE

  RegularExpression Id.

  See Also:
    Constant Field Values

### PROPAGATION

    static final int PROPAGATION

  RegularExpression Id.

  See Also:
    Constant Field Values

### PUBLIC

    static final int PUBLIC

  RegularExpression Id.

  See Also:
    Constant Field Values

### RANGE

    static final int RANGE

  RegularExpression Id.

  See Also:
    Constant Field Values

### REACTIVE

    static final int REACTIVE

  RegularExpression Id.

  See Also:
    Constant Field Values

### READ

    static final int READ

  RegularExpression Id.

  See Also:
    Constant Field Values

### READ_ONLY

    static final int READ_ONLY

  RegularExpression Id.

  See Also:
    Constant Field Values

### READ_WRITE

    static final int READ_WRITE

  RegularExpression Id.

  See Also:
    Constant Field Values

### ROLE

    static final int ROLE

  RegularExpression Id.

  See Also:
    Constant Field Values

### SINGLE_SLOT

    static final int SINGLE_SLOT

  RegularExpression Id.

  See Also:
    Constant Field Values

### SHARED

    static final int SHARED

  RegularExpression Id.

  See Also:
    Constant Field Values

### SLOT

    static final int SLOT

  RegularExpression Id.

  See Also:
    Constant Field Values

### SOURCE

    static final int SOURCE

  RegularExpression Id.

  See Also:
    Constant Field Values

### STORAGE

    static final int STORAGE

  RegularExpression Id.

  See Also:
    Constant Field Values

### STRING

    static final int STRING

  RegularExpression Id.

  See Also:
    Constant Field Values

### SUBSLOT_OF

    static final int SUBSLOT_OF

  RegularExpression Id.

  See Also:
    Constant Field Values

### SYMBOL

    static final int SYMBOL

  RegularExpression Id.

  See Also:
    Constant Field Values

### TYPE

    static final int TYPE

  RegularExpression Id.

  See Also:
    Constant Field Values

### USER_FACET

    static final int USER_FACET

  RegularExpression Id.

  See Also:
    Constant Field Values

### VALUE

    static final int VALUE

  RegularExpression Id.

  See Also:
    Constant Field Values

### VISIBILITY

    static final int VISIBILITY

  RegularExpression Id.

  See Also:
    Constant Field Values

### VERSION

    static final int VERSION

  RegularExpression Id.

  See Also:
    Constant Field Values

### WRITE

    static final int WRITE

  RegularExpression Id.

  See Also:
    Constant Field Values

### INSTANCE_NAME_LITERAL

    static final int INSTANCE_NAME_LITERAL

  RegularExpression Id.

  See Also:
    Constant Field Values

### STRING_LITERAL

    static final int STRING_LITERAL

  RegularExpression Id.

  See Also:
    Constant Field Values

### SYMBOL_LITERAL

    static final int SYMBOL_LITERAL

  RegularExpression Id.

  See Also:
    Constant Field Values

### SYMBOL_CHAR_START

    static final int SYMBOL_CHAR_START

  RegularExpression Id.

  See Also:
    Constant Field Values

### SYMBOL_CHAR_MIDDLE

    static final int SYMBOL_CHAR_MIDDLE

  RegularExpression Id.

  See Also:
    Constant Field Values

### DEFAULT

    static final int DEFAULT

  Lexical state.

  See Also:
    Constant Field Values

### tokenImage

    static final String[] tokenImage

  Literal token values.

Overview | Package | Class | Tree | Deprecated | Index | Help
| Protege 3.5 alpha
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug report or feature request
Protégé is a trademark of Stanford University.
Copyright (c) 1998-2012 Stanford University.